Point (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Point class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Point

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Geometry
              org.boehn.kmlframework.kml.Point

Direct Known Subclasses:
  EarthCoordinate

    public class Point

extends Geometry

Constructor Summary
`Point()`
`Point(java.lang.Boolean extrude, AltitudeModeEnum altitudeMode, java.lang.Double longitude, java.lang.Double latitude, java.lang.Double altitude)`
`Point(java.lang.Double longitude, java.lang.Double latitude)`
`Point(java.lang.Double longitude, java.lang.Double latitude, java.lang.Double altitude)`

Method Summary
`java.lang.Double` | `getAltitude()`
`AltitudeModeEnum` | `getAltitudeMode()`
`java.lang.Boolean` | `getExtrude()`
`java.lang.Double` | `getLatitude()`
`java.lang.Double` | `getLongitude()`
`java.lang.String` | `getLongitudeLatitudeAltitudeString()`
`void` | `setAltitude(java.lang.Double altitude)`
`void` | `setAltitudeMode(AltitudeModeEnum altitudeMode)`
`void` | `setExtrude(java.lang.Boolean extrude)`
`void` | `setLatitude(java.lang.Double latitude)`
`void` | `setLongitude(java.lang.Double longitude)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Point

    public Point()

### Point

    public Point(java.lang.Double longitude,
                 java.lang.Double latitude)

### Point

    public Point(java.lang.Double longitude,
                 java.lang.Double latitude,
                 java.lang.Double altitude)

### Point

    public Point(java.lang.Boolean extrude,
                 AltitudeModeEnum altitudeMode,
                 java.lang.Double longitude,
                 java.lang.Double latitude,
                 java.lang.Double altitude)

Method Detail

### getExtrude

    public java.lang.Boolean getExtrude()

### setExtrude

    public void setExtrude(java.lang.Boolean extrude)

### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()

### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum altitudeMode)

### getLongitude

    public java.lang.Double getLongitude()

### setLongitude

    public void setLongitude(java.lang.Double longitude)

### getLatitude

    public java.lang.Double getLatitude()

### setLatitude

    public void setLatitude(java.lang.Double latitude)

### getAltitude

    public java.lang.Double getAltitude()

### setAltitude

    public void setAltitude(java.lang.Double altitude)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

### getLongitudeLatitudeAltitudeString

    public java.lang.String getLongitudeLatitudeAltitudeString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD